低危 Linux ASLR禁用漏洞

CVE编号

CVE-2016-3672

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-04-28
漏洞描述
Linux ASLR(address space layout randomization)是一套用于控制Linux系统中内存地址随机化机制。

Linux ASLR实现过程中存在安全漏洞。攻击者可通过将RLIMIT_STACK资源设置为‘无限制’利用该漏洞禁用ASLR。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:
https://www.linux.com/
参考链接
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8b8...
http://hmarco.org/bugs/CVE-2016-3672-Unlimiting-the-stack-not-longer-dis
http://hmarco.org/bugs/CVE-2016-3672-Unlimiting-the-stack-not-longer-disables...
http://lists.fedoraproject.org/pipermail/package-announce/2016-April/182524.html
http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00044.html
http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00054.html
http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00000.html
http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00044.html
http://lists.opensuse.org/opensuse-security-announce/2016-08/msg00055.html
http://seclists.org/fulldisclosure/2016/Apr/26
http://www.debian.org/security/2016/dsa-3607
http://www.securityfocus.com/archive/1/537996/100/0/threaded
http://www.securityfocus.com/bid/85884
http://www.securitytracker.com/id/1035506
http://www.ubuntu.com/usn/USN-2989-1
http://www.ubuntu.com/usn/USN-2996-1
http://www.ubuntu.com/usn/USN-2997-1
http://www.ubuntu.com/usn/USN-2998-1
http://www.ubuntu.com/usn/USN-3000-1
http://www.ubuntu.com/usn/USN-3001-1
http://www.ubuntu.com/usn/USN-3002-1
http://www.ubuntu.com/usn/USN-3003-1
http://www.ubuntu.com/usn/USN-3004-1
https://access.redhat.com/errata/RHSA-2018:0676
https://access.redhat.com/errata/RHSA-2018:1062
https://bugzilla.redhat.com/show_bug.cgi?id=1324749
https://github.com/torvalds/linux/commit/8b8addf891de8a00e4d39fc32f93f7c5eb8feceb
https://www.exploit-db.com/exploits/39669/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 15.10 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
4.5.1-1
运行在以下环境
系统 linux linux_kernel * Up to
(including)
4.5.2
运行在以下环境
系统 novell suse_linux_enterprise_desktop 12.0 -
运行在以下环境
系统 novell suse_linux_enterprise_live_patching 12.0 -
运行在以下环境
系统 novell suse_linux_enterprise_module_for_public_cloud 12.0 -
运行在以下环境
系统 novell suse_linux_enterprise_real_time_extension 12.0 -
运行在以下环境
系统 novell suse_linux_enterprise_server 12.0 -
运行在以下环境
系统 novell suse_linux_enterprise_software_development_kit 12.0 -
运行在以下环境
系统 novell suse_linux_enterprise_workstation_extension 12.0 -
运行在以下环境
系统 redhat_7 kernel * Up to
(excluding)
0:3.10.0-862.el7
运行在以下环境
系统 redhat_7 kernel-rt * Up to
(excluding)
0:3.10.0-862.rt56.804.el7
运行在以下环境
系统 sles_12 kernel-default-extra * Up to
(excluding)
4.4.21-69
运行在以下环境
系统 suse_12 kernel-default-extra * Up to
(excluding)
4.4.21-69
运行在以下环境
系统 ubuntu_12.04.5_lts linux * Up to
(excluding)
3.2.0-104.145
运行在以下环境
系统 ubuntu_12.04_lts linux * Up to
(excluding)
3.2.0-104.145
运行在以下环境
系统 ubuntu_14.04.6_lts linux * Up to
(excluding)
3.13.0-87.133
运行在以下环境
系统 ubuntu_14.04_lts linux * Up to
(excluding)
3.13.0-87.133
运行在以下环境
系统 ubuntu_16.04.7_lts linux * Up to
(excluding)
4.4.0-22.39
运行在以下环境
系统 ubuntu_16.04_lts linux * Up to
(excluding)
4.4.0-22.39
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
阿里云安全产品覆盖情况